=== debian/changelog ===
ros-robot-model (1.11.8-3~fakesync) xenial; urgency=medium

  * Adopt to new libexec location in catkin to fix FTBFS. Taken from Debian's
    1.11.8-3 package. (LP: #1569626)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Apr 2016 22:51:53 +0200

ros-robot-model (1.11.8-2build1) xenial; urgency=medium

  * No-change rebuild against liburdfdom-*0.4

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Apr 2016 22:33:45 +0200

ros-robot-model (1.11.8-2) unstable; urgency=medium

  * add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:16:05 +0100

ros-robot-model (1.11.8-1) unstable; urgency=medium

  * Initial release (Closes: #805339)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 27 Dec 2015 03:58:33 +0000
