=== debian/control ===
Source: ros-robot-model
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-system-dev, liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml-dev, libboost-system-dev, libclass-loader-dev, libangles-dev, libresource-retriever-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libboost-filesystem-dev, libboost-program-options-dev, libcollada-dom2.4-dp-dev, liborocos-kdl-dev, librostest-dev, libpcre3-dev, liboctomap-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/robot_model
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-robot-model.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-robot-model.git

Package: libcollada-parser-dev
Section: libdevel
Architecture: any
Depends: libcollada-parser0d (= ${binary:Version}), ${misc:Depends}, liburdf-parser-plugin-dev, libroscpp-dev, libclass-loader-dev, liburdfdom-headers-dev, libcollada-dom2.4-dp-dev
Description: Development files for ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the development files for the library.

Package: libcollada-parser0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the library.

Package: libcollada-urdf-dev
Section: libdevel
Architecture: any
Depends: libcollada-urdf0d (= ${binary:Version}), ${misc:Depends}, libangles-dev,libcollada-parser-dev, libresource-retriever-dev, liburdf-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev,
Description: Development files for ROS collada_urdf library
 This package contains a tool to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 Implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the development files for the library.

Package: libcollada-urdf0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_urdf library
 This package contains a tool to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 Implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the library.

Package: joint-state-publisher
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Description: ROS joint_state_publisher
 This package contains a tool for setting and publishing joint state values for
 a given URDF.

Package: libkdl-parser-dev
Section: libdevel
Architecture: any
Depends: libkdl-parser0d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, librosconsole-dev, liburdf-dev, ros-cmake-modules
Description: Development files for ROS collada_urdf library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the development files for the library.

Package: libkdl-parser0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_urdf library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the library.

Package: liburdf-dev
Section: libdevel
Architecture: any
Depends: liburdf0d (= ${binary:Version}), ${misc:Depends}, librosconsole-bridge-dev, libroscpp-dev, liburdf-parser-plugin-dev, ros-cmake-modules
Description: Development files for ROS urdf library
 This package contains a C++ parser for the Unified Robot Description Format
 (URDF), which is an XML format for representing a robot model. The code API of
 the parser has been through our review process and will remain backwards
 compatible in future releases.
 .
 This package contains the development files for the library.

Package: liburdf0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS urdf library
 This package contains a C++ parser for the Unified Robot Description Format
 (URDF), which is an XML format for representing a robot model. The code API of
 the parser has been through our review process and will remain backwards
 compatible in future releases.
 .
 This package contains the library.

Package: liburdf-parser-plugin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Development files for ROS urdf_parser_plugin library
 This package contains a C++ base class for URDF parsers.
