=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	rm -fr obj-x86_64-linux-gnu

get-orig-source:
	uscan --verbose --force-download --repack --compress xz
