## ros-robot-model 1.12.3

=== debian/changelog ===
ros-robot-model (1.12.3-2build2) yakkety; urgency=medium

  * Rebuild against new liburdfdom-dev.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Sep 2016 19:15:16 +0200

ros-robot-model (1.12.3-2build1) yakkety; urgency=medium

  * Rebuild against new ros-geometric-shapes.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Sep 2016 15:24:13 +0200

ros-robot-model (1.12.3-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update my email address
  * Fix URL
  * Fix compilation with liburdfdom-headers-dev (Closes: #834981)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 23:01:25 +0200

ros-robot-model (1.12.3-1) unstable; urgency=medium

  * Imported Upstream version 1.12.3
  * Add kdl_parser_py package

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 11 Jul 2016 00:29:40 +0200

ros-robot-model (1.11.8-4) unstable; urgency=medium

  * Updated Vcs fields
  * Cleaning some lintian messages
  * Moved arch-depenent files to a new package. Closes: #815875
  * Added collada-urdf-tools package
  * Bump Standards-Version to 3.9.7 (no changes)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Mar 2016 11:11:57 +0100

ros-robot-model (1.11.8-3) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 17:24:59 +0100
