=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-system-dev, liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml-dev, libboost-system-dev, libclass-loader-dev, libangles-dev, libresource-retriever-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libboost-filesystem-dev, libboost-program-options-dev, libcollada-dom2.4-dp-dev, liborocos-kdl-dev, librostest-dev, libpcre3-dev, liboctomap-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-system-dev, liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml-dev, libclass-loader-dev, libangles-dev, libresource-retriever-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libboost-filesystem-dev, libboost-program-options-dev, libcollada-dom2.4-dp-dev, liborocos-kdl-dev, librostest-dev, libpcre3-dev, liboctomap-dev, python-all, dh-python
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://wiki.ros.org/robot_model
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-robot-model.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-robot-model.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-robot-model.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-robot-model.git
 
 Package: libcollada-parser-dev
 Section: libdevel
@@ -45,7 +45,7 @@
  This package contains a tool to convert Unified Robot Description Format
  (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
  .
- Implements robot-specific COLLADA extensions as defined by
+ It implements robot-specific COLLADA extensions as defined by
  http://openrave.programmingvision.com/index.php/Started:COLLADA
  .
  This package contains the development files for the library.
@@ -55,13 +55,26 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: ROS collada_urdf library
- This package contains a tool to convert Unified Robot Description Format
+ This package contains a library to convert Unified Robot Description Format
  (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
  .
- Implements robot-specific COLLADA extensions as defined by
+ It implements robot-specific COLLADA extensions as defined by
  http://openrave.programmingvision.com/index.php/Started:COLLADA
  .
  This package contains the library.
+
+Package: collada-urdf-tools
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: ROS collada_urdf tools
+ This package contains tools to convert between Unified Robot Description 
+ Format (URDF) documents and COLLAborative Design Activity (COLLADA) 
+ documents.
+ .
+ It implements robot-specific COLLADA extensions as defined by
+ http://openrave.programmingvision.com/index.php/Started:COLLADA
+ .
+ This package contains the tools.
 
 Package: joint-state-publisher
 Section: utils
@@ -75,7 +88,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkdl-parser0d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, librosconsole-dev, liburdf-dev, ros-cmake-modules
-Description: Development files for ROS collada_urdf library
+Description: Development files for ROS kdl_parser library
  The Kinematics and Dynamics Library (KDL) defines a tree structure to
  represent the kinematic and dynamic parameters of a robot mechanism.
  kdl_parser provides tools to construct a KDL tree from an XML robot
@@ -87,13 +100,25 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Description: ROS collada_urdf library
+Description: ROS kdl_parser library
  The Kinematics and Dynamics Library (KDL) defines a tree structure to
  represent the kinematic and dynamic parameters of a robot mechanism.
  kdl_parser provides tools to construct a KDL tree from an XML robot
  representation in URDF.
  .
  This package contains the library.
+
+Package: python-kdl-parser
+Section: python
+Architecture: all
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Robot OS kdl_parser library - Python
+ The Kinematics and Dynamics Library (KDL) defines a tree structure to
+ represent the kinematic and dynamic parameters of a robot mechanism.
+ kdl_parser_py provides Python tools to construct a KDL tree from an XML robot
+ representation in URDF.
+ .
+ This package contains the Python binding.
 
 Package: liburdf-dev
 Section: libdevel
@@ -102,7 +127,7 @@
 Description: Development files for ROS urdf library
  This package contains a C++ parser for the Unified Robot Description Format
  (URDF), which is an XML format for representing a robot model. The code API of
- the parser has been through our review process and will remain backwards
+ the parser has been through a review process and will remain backwards
  compatible in future releases.
  .
  This package contains the development files for the library.
@@ -114,7 +139,7 @@
 Description: ROS urdf library
  This package contains a C++ parser for the Unified Robot Description Format
  (URDF), which is an XML format for representing a robot model. The code API of
- the parser has been through our review process and will remain backwards
+ the parser has been through a review process and will remain backwards
  compatible in future releases.
  .
  This package contains the library.
