=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --buildsystem=cmake --with python2
 
 override_dh_clean:
 	dh_clean
