=== robot_model/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robot_model)
find_package(catkin REQUIRED)
catkin_metapackage()
