=== debian/changelog ===
ros-robot-model (1.12.6-5) unstable; urgency=medium

  * Don't compile old packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Dec 2018 18:01:43 +0100

ros-robot-model (1.12.6-4) unstable; urgency=medium

  * Fix dependencies
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Dec 2018 17:28:22 +0100

ros-robot-model (1.12.6-3) unstable; urgency=medium

  * Drop split out packages (Closes: #915084)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Nov 2018 17:56:13 +0100

ros-robot-model (1.12.6-2) unstable; urgency=medium

  * Update policy and debhelper versions
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * Update Vcs URLs to salsa.d.o
  * Remove some unused lines in d/rules
  * Add R³
  * http -> https
  * Bump policy and debhelper versions
  * Add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 12 Jul 2018 23:07:40 +0200

ros-robot-model (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Jan 2017 10:38:44 +0100

ros-robot-model (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5
  * Update copyright
  * update patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 23:23:01 +0100

ros-robot-model (1.12.4-2) unstable; urgency=medium

  * Update catkin patch
  * Remove superfluous rm in d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 19 Oct 2016 11:13:17 +0200

ros-robot-model (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Rebase patches
  * Add patch for new catkin

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Sep 2016 19:05:55 +0200
