=== debian/control ===
Source: ros-robot-model
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, libboost-system-dev, liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml-dev, libclass-loader-dev, libangles-dev, libresource-retriever-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libboost-filesystem-dev, libboost-program-options-dev, libcollada-dom2.4-dp-dev, liborocos-kdl-dev, librostest-dev, liboctomap-dev, python-all, dh-python, liburdf-dev, liburdf-parser-plugin-dev
Standards-Version: 4.2.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/robot_model
Vcs-Browser: https://salsa.debian.org/science-team/ros-robot-model
Vcs-Git: https://salsa.debian.org/science-team/ros-robot-model.git

Package: libcollada-parser-dev
Section: libdevel
Architecture: any
Depends: libcollada-parser0d (= ${binary:Version}), ${misc:Depends}, liburdf-parser-plugin-dev, libroscpp-dev, libclass-loader-dev, liburdfdom-headers-dev, libcollada-dom2.4-dp-dev
Description: Development files for ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the development files for the library.

Package: libcollada-parser0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the library.

Package: libcollada-urdf-dev
Section: libdevel
Architecture: any
Depends: libcollada-urdf0d (= ${binary:Version}), ${misc:Depends}, libangles-dev,libcollada-parser-dev, libresource-retriever-dev, liburdf-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev,
Description: Development files for ROS collada_urdf library
 This package contains a tool to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the development files for the library.

Package: libcollada-urdf0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_urdf library
 This package contains a library to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the library.

Package: collada-urdf-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ROS collada_urdf tools
 This package contains tools to convert between Unified Robot Description 
 Format (URDF) documents and COLLAborative Design Activity (COLLADA) 
 documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the tools.

Package: joint-state-publisher
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Description: ROS joint_state_publisher
 This package contains a tool for setting and publishing joint state values for
 a given URDF.
