=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-robot-model-$1.tar.gz%" \
    https://github.com/ros/robot_model/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
